Subject: Re: [RFC PATCH net-next 0/6] net/smc: Spread workload over multiple cores

From: Leon Romanovsky <[email-masked]>
Date: Thu, 27 Jan 2022 11:25:41 +0200

On Thu, Jan 27, 2022 at 05:14:35PM +0800, Tony Lu wrote:
> On Thu, Jan 27, 2022 at 10:47:09AM +0200, Leon Romanovsky wrote:
> > On Thu, Jan 27, 2022 at 03:59:36PM +0800, Tony Lu wrote:
> > > 
> > > Yes, I agree with you that the code is old. I think there are two
> > > problems, one for performance issue, the other one for API refactor.
> > > 
> > > We are running into the performance issues mentioned in patches in our
> > > cloud environment. So I think it is more urgent for a real world issue.
> > > 
> > > The current modification is less intrusive to the code. This makes
> > > changes simpler. And current implement works for now, this is why I put
> > > refactor behind.
> > 
> > We are not requesting to refactor the code, but properly use existing
> > in-kernel API, while implementing new feature ("Spread workload over
> > multiple cores").
> 
> Sorry for that if I missed something about properly using existing
> in-kernel API. I am not sure the proper API is to use ib_cq_pool_get()
> and ib_cq_pool_put()?
> 
> If so, these APIs doesn't suit for current smc's usage, I have to
> refactor logic (tasklet and wr_id) in smc. I think it is a huge work
> and should do it with full discussion.

This discussion is not going anywhere. Just to summarize, we (Jason and I)
are asking to use existing API, from the beginning.

You can try and convince netdev maintainers to merge the code despite
our request.

Thanks

> Thanks,
> Tony Lu